QGIS Application - Bug report #9796
cpt city ramps missing when using --configpath startup option
2014-03-17 03:26 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18336
Description

Hi,

when using -- configpath option to move profiles to a centralized network storage, cpt city ramps do not show in cpt city browser.
Confirmed on windows 7 and server 2008, with QGIS 2.2 64 + QGIS master

History

#1 - 2014-03-17 09:54 AM - Etienne Tourigny
- Assignee set to elcuco -

can you test this on linux?

#2 - 2014-03-17 11:25 AM - Etienne Tourigny
- Assignee deleted (elcuco -)

#3 - 2014-03-17 01:09 PM - Regis Haubourg

Not at the moment, | must mount a virtual machine.. | tested on Macos, QGIS 2.0 works fine, but | couldn't upgrade to 2.2.. my Mac is too old :-(((

Anyone can test ?

#4 - 2014-03-17 02:08 PM - Etienne Tourigny

for me it works under linux when starting qgis like this

qgis --configpath /tmp/qgis

note that the given directory is empty, never tried this before

#5 - 2014-03-18 06:22 AM - Regis Haubourg

Is the target directory still empty after you close Qgis. You should find in it all QGis db's and ini files at least. If not startup option did not work..

#6 - 2014-03-18 09:53 AM - Etienne Tourigny

The cpt-city ramps were not copied, but | can see them even if | start qgis with same arguments.
| don't know if they should be copied over, or if there is a bug with finding the path of system-wide installation of cpt-city ramps in Windows.

Here are the contents

tourigny@supernova: /data/research/work/inland/hg/inland-current/output $ Is -IR /tmp/qgis/
/tmp/qgis/:

total 124

drwx------ 4 tourigny tourigny 4096 Mar 18 13:49 cache

drwx------ 2 tourigny tourigny 4096 Mar 18 13:49 gdal_pam

drwx------ 5 tourigny tourigny 4096 Mar 18 13:50 processing

drwx------ 2 tourigny tourigny 4096 Mar 18 13:49 QGIS

-rw-r--r-- 1 tourigny tourigny 23552 Mar 18 13:49 qgis.db

-rw-r--r-- 1 tourigny tourigny 84992 Mar 18 13:50 symbology-ng-style.db

#7 - 2014-03-19 01:07 AM - Regis Haubourg

Well, they don't have to be copied in the roaming profile, this looks like a problem reading path ..

#8 - 2014-06-23 02:29 AM - Regis Haubourg
Issue is still here and seems related to using UNC path, or dot in file name for profile displacement.
Using --configpath "F:\\Outils\QGISDEV\\CONF_QGIS_MASTER" works when
--configpath "\WNASO01\\appdata2008\\%username%\\AppData\\Roaming\\.qgis2" does not show cpt city color ramps in ctp city browser
#9 - 2014-06-23 02:53 AM - Regis Haubourg
mmm, when moving to a new empty profile, using UNC path like --configpath "\WNAS01\\appdata2008\\%username%\\AppData\\Roaming\\.qgis24" it now
works...
#10 - 2014-06-28 07:45 AM - Jiirgen Fischer
- Target version changed from Version 2.4 to Future Release - High Priority
#11 - 2014-10-26 08:52 AM - Jiirgen Fischer

- Status changed from Open to Closed

Looks like it was a problem with the remote config.
